Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface PredictionExon

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface PredictionExon
extends Feature

Predicted exon which lacks a gene and UTRs.

Method Summary
`double` | `getPvalue()`
`int` | `getRank()`
`double` | `getScore()`
`int` | `getStartPhase()`
`PredictionTranscript` | `getTranscript()`
`void` | `setLocation(Location location)`
`void` | `setPvalue(double pvalue)`
`void` | `setRank(int rank)`
`void` | `setScore(double score)`
`void` | `setStartPhase(int startPhase)`
`void` | `setTranscript(PredictionTranscript transcript)`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTranscript

    public PredictionTranscript getTranscript()

### setTranscript

    public void setTranscript(PredictionTranscript transcript)

### getRank

    public int getRank()

### setRank

    public void setRank(int rank)

### getStartPhase

    public int getStartPhase()

### setStartPhase

    public void setStartPhase(int startPhase)

### getScore

    public double getScore()

### setScore

    public void setScore(double score)

### getPvalue

    public double getPvalue()

### setPvalue

    public void setPvalue(double pvalue)

### setLocation

    public void setLocation(Location location)

  Specified by:
    `setLocation` in interface `Locatable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD